/operations/trackers
1 min
PUT
https://app.amberflo.io/operations/trackers
Body Parameters
- bodyoperations.tracker.UpdateTrackerParams.in
- timeWindowinteger<int64>
- timeLaginteger<int64>
- statusoperations.tracker.TrackerStatus.in
Responses
200
- operations.tracker.TrackerInfo.out
- trackerIdstring
- accountIdstring
- queryToolPayloadstring
- lastUpdatedinteger<int64>
- typestring
- timeWindowinteger<int64>
- timeLaginteger<int64>
- statusoperations.tracker.TrackerStatus.out
curl
curl --request PUT \
--url https://app.amberflo.io/operations/trackers \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'PUT',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/operations/trackers", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/operations/trackers")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Put.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/operations/trackers"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("PUT", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"trackerId": "",
"accountId": "",
"queryToolPayload": "",
"lastUpdated": "",
"type": "",
"timeWindow": "",
"timeLag": "",
"status": ""
}